Bug 103624 - Change compile-time option CONFIG_APM_RTS_IS_GMT to sysctl-tunable kernel parameter
Change compile-time option CONFIG_APM_RTS_IS_GMT to sysctl-tunable kernel par...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-03 06:07 EDT by Otto J. Makela
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Otto J. Makela 2003-09-03 06:07:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
The fact that CONFIG_APM_RTS_IS_GMT is a kernel compile-time flag instead of a
sysctl-tunable parameter (and companies like RedHat deliver kernels compiled
with this flag on) means that you have to recompile the kernel just to be able
to run Linux in environments where the RTC _cannot_ be set to GMT (like when
co-existing with Windows operating systems). Once set up, the kernel parameter
could be set according to /etc/sysconfig/clock setting at boot time, simplifying
life for all. A quick browse of the apm.c source code makes me think this change
would not really require major work, but of course I could be mistaken.


Version-Release number of selected component (if applicable):
kernel-2.4.20-9

How reproducible:
Always

Steps to Reproduce:
1. Run standard RedHat-distributed kernel on a laptop w/external display
2. Select "RTC is _not_ UTC" in installation
3. Switch displays via FN/F8 apm call


Actual Results:  The system clock was off by the amount of difference from UT,
in my case, three hours.

Expected Results:  Real time clock should not change when changing displays.

Additional info:

The problem can of course be circumvented by recompiling a new kernel with a
different CONFIG_APM_RTS_IS_GMT setting, but this seems like a rather heavy
solution for a annoyance-type problem.

Hardware Environment: Dell Latitude C600 laptop + external display

http://bugzilla.kernel.org/show_bug.cgi?id=572
Comment 1 Bugzilla owner 2004-09-30 11:41:30 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.